/**
@author:fugy
@date:2018.11.27
@info:项目报警通知
 */
import httputils from '@/utils/httputils';
const api = {
  // 获取报警通知table表格数据
  queryNotifyUserByAlarmConfigResult(params) {
    return new Promise(resolve => {
      httputils.postJson('/server/alarm/notifyuser/queryNotifyUserByAlarmConfigResult', params, res => {
        resolve(res)
      })
    })
  },
  // 获取项目通知人员列表
  getUserList(params) {
    return new Promise(resolve => {
        httputils.postJson('/server/alarm/notifyuser/query', params, res => {
        resolve(res)
      })
    })
  },
  // 批量设定通知人员
  setNoticeUser(params) {
    return new Promise(resolve => {
      httputils.postJson('/server/alarm/notifyuser/setUpNotifyUser', params, res => {
        resolve(res)
      })
    })
  },
    //批量设置人员下的报警条目通知方式
    setUpAlarmConfigResult(params) {
        return new Promise(resolve => {
            httputils.postJson('/server/alarm/notifyuser/setUpAlarmConfigResult', params, res => {
              resolve(res)
            })
        })
    },
  //添加人员
  userAddSave(params) {
    return new Promise(resolve => {
      httputils.postJson('/server/alarm/notifyuser/create', params, res => {
        resolve(res)
      })
    })
  },
  //编辑人员
  userEditSave(params) {
    return new Promise(resolve => {
      httputils.postJson('/server/alarm/notifyuser/update', params, res => {
        resolve(res)
      })
    })
  },
  // 删除人员
  delUser(params) {
    return new Promise(resolve => {
      httputils.postJson('/server/alarm/notifyuser/delete', params, res => {
        resolve(res)
      })
    })
  },
  // 为人员批量设置报警条目
  setUpAlarmConfigResult(params) {
      return new Promise(resolve => {
          httputils.postJson('/server/alarm/notifyuser/setUpAlarmConfigResult', params, res => {
            resolve(res)
          })
      })
  }
}
export default api;